Subject: Re: bug#38563: 27.0.50; Company popup renders with newlines (?) inheriting the bg properties of the character at next line's bol

From: Dmitry Gutov <[email-masked]>
Date: Mon, 16 Dec 2019 00:26:21 +0200

On 14.12.2019 10:13, Eli Zaretskii wrote:
> When we merge faces for display past EOL, we modify the face-merging
> process such that faces whose :extend attribute is not t are not
> merged.  "Not merged" means here that these faces are bypassed by the
> merging process, so their attributes (not just the background color)
> do not contribute anything to the result of the merge.

Ok, I've considered it a little and now I understand the primary reason 
for this mechanic: so that the region face extends over EOL (by 
default), and that extension doesn't take soak up the properties of the 
last character on the line (which is how I expected it to work).

Thanks!